GDB (xrefs)

Public Attributes | List of all members
dwarf2_frame_ops Struct Reference

## Public Attributes
void(* | init_reg )(struct gdbarch *, int, struct dwarf2_frame_state_reg *, struct frame_info *)
int(* | signal_frame_p )(struct gdbarch *, struct frame_info *)
int(* | adjust_regnum )(struct gdbarch *, int, int)

## Detailed Description

Definition at line 673 of file dwarf2-frame.c.

## Member Data Documentation

## ◆ adjust_regnum

int(* dwarf2_frame_ops::adjust_regnum) (struct gdbarch *, int, int)

Definition at line 684 of file dwarf2-frame.c.

Referenced by dwarf2_frame_adjust_regnum(), and dwarf2_frame_set_adjust_regnum().

## ◆ init_reg

void(* dwarf2_frame_ops::init_reg) (struct gdbarch *, int, struct dwarf2_frame_state_reg *, struct frame_info *)

Definition at line 676 of file dwarf2-frame.c.

Referenced by dwarf2_frame_init(), dwarf2_frame_init_reg(), and dwarf2_frame_set_init_reg().

## ◆ signal_frame_p

int(* dwarf2_frame_ops::signal_frame_p) (struct gdbarch *, struct frame_info *)

Definition at line 680 of file dwarf2-frame.c.

Referenced by dwarf2_frame_set_signal_frame_p(), and dwarf2_frame_signal_frame_p().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2-frame.c